<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:cif="cif">
    <xsl:param name="xslShowHelp" select="cif:xslShowHelp"/>
    <xsl:param name="xslResourceDirectory" select="cif:xslResourceDirectory"/>
    <!-- Key Station Report -->

  <xsl:output method="text" media-type="text/plain" encoding="iso-8859-1"/>
  <xsl:template match="/">
        <xsl:variable name="gridOut" select="cif:SetGridOut(number(InRoads/@outputGridScaleFactor))"/>
        <xsl:choose>
            <xsl:when test="$xslShowHelp = 'true'">
                <xsl:call-template name="StyleSheetHelp"/>
            </xsl:when>
            <xsl:otherwise>
              <!-- Roadway Designer Data -->
              <xsl:for-each select="InRoads/RoadwayDesigner">
                <xsl:text/>
                <xsl:for-each select="Corridor">
                    <xsl:text>*</xsl:text>
                    <xsl:value-of select="cif:columnFormat('Station', 15)"/>
                    <xsl:value-of select="cif:columnFormat('X', 16)"/>
                    <xsl:value-of select="cif:columnFormat('Y', 16)"/>
                    <xsl:text>&#xd;</xsl:text>
                    <xsl:choose>
                        <xsl:when test="KeyStation">
                            <xsl:for-each select="KeyStation">
                              <xsl:value-of select="cif:columnDoubleFormat(number(@externalStation), 4, 16)"/>
                              <xsl:value-of select="cif:columnDoubleFormat(number(@xLocation), 4, 16)"/>
                              <xsl:value-of select="cif:columnDoubleFormat(number(@yLocation), 4 , 16)"/>
                              <xsl:text>&#xd;</xsl:text>
                            </xsl:for-each>
                        </xsl:when>
                        <xsl:otherwise/>
                    </xsl:choose>
                  </xsl:for-each>
              </xsl:for-each>
        </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <xsl:template name="StyleSheetHelp">
        <div class="section1">
            <h4 lang="en">Notes</h4>
            <p class="normal1" lang="en">
                You must select a corridor to get results from this report.
            </p>
            <p class="small" lang="en">
                <em>&#xa9; 2012 Bentley Systems, Inc</em>
            </p>
        </div>
    </xsl:template>
</xsl:stylesheet>
